#ifndef SDL_padinternal_h_
#define SDL_padinternal_h_

#include "SDL_padconst.h"

#define PAD_DEBUG
#ifdef PAD_DEBUG
# undef Pad_SetError
# define Pad_SetError printf
#endif

enum { PAD_JOYSTICK_NUM = 2 };

enum { USER_BUTTON_BUTTON_NUM = 8 };
typedef Sint16 Pad_UserButton[USER_BUTTON_BUTTON_NUM];
extern Pad_UserButton* user_buttons;
extern int user_button_num;

typedef Sint16 Pad_UserAxis[4];
extern Pad_UserAxis* user_axises;
extern int user_axis_num;

void Pad_InitStore();

extern int
Pad_thre_plus[PAD_JOYSTICK_NUM][2], Pad_thre_minus[PAD_JOYSTICK_NUM][2];

#endif // ! SDL_padinternal_h_

